import BaseComponent from '../BaseComponent';
import { IActivityItemProps } from './ActivityItem.types';
import { PersonaSize } from '../Persona/Persona.types';
export declare class ActivityItem extends BaseComponent<IActivityItemProps> {
    activityPersonas: any[];
    animateBeaconSignal: boolean;
    beaconColorOne: string;
    beaconColorTwo: string;
    isCompact: boolean;
    PersonaSize: typeof PersonaSize;
    get personaStyle(): {
        display?: undefined;
        width?: undefined;
        minWidth?: undefined;
        overflow?: undefined;
    } | {
        display: string;
        width: string;
        minWidth: string;
        overflow: string;
    };
    get personasToRender(): any[];
    get classNames(): any;
    render(): JSX.Element;
}
//# sourceMappingURL=ActivityItem.d.ts.map