import BaseComponent from '../BaseComponent';
import { IRectangle } from '@uifabric-vue/utilities';
import { Target } from './Callout.types';
export declare class CalloutContentBase extends BaseComponent {
    $refs: {
        hostElement: HTMLDivElement;
        calloutElement: HTMLDivElement;
    };
    target: HTMLElement;
    calloutWidth: number;
    beakWidth: number;
    minPagePadding: number;
    isBeakVisible: boolean;
    coverTarget: boolean;
    gapSpace: number;
    directionalHint: boolean;
    bounds: IRectangle | ((target?: Target, targetWindow?: Window) => IRectangle | undefined);
    private internalKey;
    private positions;
    positionAttempts: number;
    private _bounds;
    created(): void;
    beforeDestroy(): void;
    updated(): void;
    mounted(): void;
    get classNames(): any;
    get actualBeakWidth(): number;
    private get positionCss();
    private updatePosition;
    private _getBounds;
    private onGlobalClick;
    private onGlobalScroll;
    private _arePositionsEqual;
    private _comparePositions;
    render(): JSX.Element;
}
//# sourceMappingURL=CalloutContent.base.d.ts.map