import { ICheckboxStyles } from './Checkbox.types';
import BaseComponent from '../BaseComponent';
export declare class CheckboxBase extends BaseComponent {
    checked: boolean;
    defaultChecked: boolean;
    indeterminate: boolean;
    defaultIndeterminate: boolean;
    disabled: boolean;
    required: boolean;
    label: string;
    title: string;
    boxSide: 'start' | 'end';
    private internalValue;
    private isIndeterminate;
    render(): JSX.Element;
    get classNames(): import("@uifabric/merge-styles").IProcessedStyleSet<ICheckboxStyles>;
    private onCheckedChanged;
    private onValueChanged;
    private onInput;
}
//# sourceMappingURL=Checkbox.base.d.ts.map