import BaseComponent from '../BaseComponent';
import { RectangleEdge } from '@uifabric-vue/utilities';
export declare class DropdownBase extends BaseComponent {
    $refs: {
        dropdown: HTMLDivElement;
    };
    options: any[];
    selectedOptions: any[];
    label: string;
    placeholder: string;
    errorMessage: string;
    required: boolean;
    disabled: boolean;
    multiSelect: boolean;
    multiSelectDelimiter: string;
    dropdownWidth: number;
    panelProps: any;
    calloutProps: any;
    isOpen: boolean;
    calloutRenderEdge: RectangleEdge | null;
    created(): void;
    get classNames(): any;
    get multiSelectItemStyles(): any;
    get hasErrorMessage(): boolean | "";
    private select;
    private onPositioned;
    render(): JSX.Element;
}
//# sourceMappingURL=Dropdown.base.d.ts.map