import { RenderContext, VNode, CreateElement } from 'vue';
import StatelessComponent from '../StatelessComponent';
import { IIconProps } from './Icon.types';
export interface IIconContent {
    children?: string;
    iconClassName?: string;
    fontFamily?: string;
}
export declare const getIconContent: (iconName?: string | undefined) => IIconContent | null;
export declare class FontIcon extends StatelessComponent<IIconProps> {
    iconName: string;
    render(h: CreateElement, ctx: RenderContext): VNode;
}
//# sourceMappingURL=FontIcon.d.ts.map