import { IImageStyles, ImageLoadState, IImageProps } from './Image.types';
import BaseComponent from '../BaseComponent';
export declare class ImageBase extends BaseComponent<IImageProps> {
    src: string;
    alt: string;
    width: string | number;
    height: string | number;
    imageFit: number;
    maximizeFrame: boolean;
    shouldFadeIn: boolean;
    shouldStartVisible: boolean;
    coverStyle: number;
    loadState: ImageLoadState;
    private static svgRegex;
    render(): JSX.Element;
    get classNames(): import("@uifabric/merge-styles").IProcessedStyleSet<IImageStyles>;
    private onImageLoaded;
    private onImageError;
}
//# sourceMappingURL=Image.base.d.ts.map