import { ISliderProps, ISliderStyles } from './Slider.types';
import BaseComponent from '../BaseComponent';
export declare const ONKEYDOWN_TIMEOUT_DURATION = 1000;
export declare class SliderBase extends BaseComponent<ISliderProps> {
    $refs: {
        sliderLine: HTMLDivElement;
    };
    label: string;
    disabled: boolean;
    vertical: boolean;
    snapToStep: boolean;
    min: number;
    max: number;
    step: number;
    value: number;
    defaultValue: number;
    showValue: boolean;
    originFromZero: boolean;
    private internalValue?;
    private renderedValue?;
    private onKeyDownTimer;
    get classNames(): import("@uifabric/merge-styles").IProcessedStyleSet<ISliderStyles>;
    get thumbOffsetPercent(): number;
    get zeroOffsetPercent(): number;
    get lengthString(): "height" | "width";
    private onMouseDown;
    private onMouseUp;
    private onMove;
    private getPosition;
    private updateValue;
    private onKeyDown;
    private clearOnKeyDownTimer;
    private setOnKeyDownTimer;
    render(): JSX.Element;
}
//# sourceMappingURL=Slider.base.d.ts.map