import BaseComponent from '../BaseComponent';
import { IPersonaProps, IPersonaStyles } from '../Persona';
import { PersonaSize } from './Persona.types';
export declare class PersonaBase extends BaseComponent<IPersonaProps> {
    allowPhoneInitials: boolean;
    presence: number;
    size: number;
    coinSize: number;
    initialsColor: number;
    hidePersonaDetails?: boolean;
    text?: string;
    secondaryText?: string;
    tertiaryText?: string;
    optionalText?: string;
    imageUrl?: string;
    status?: string;
    isOutOfOffice?: boolean;
    showSecondaryText?: boolean;
    PersonaSize: typeof PersonaSize;
    get classNames(): import("@uifabric/merge-styles").IProcessedStyleSet<IPersonaStyles>;
    render(): JSX.Element;
}
//# sourceMappingURL=Persona.base.d.ts.map