import BaseComponent from '../../BaseComponent';
import { mergeStyles } from '@uifabric/merge-styles';
import { getPersonaInitialsColor } from '../PersonaInitialsColor';
import { PersonaSize, IPersonaCoinStyles, IPersonaCoinProps } from '../Persona.types';
import { ImageFit } from '../../Image';
export declare class PersonaCoinBase extends BaseComponent<IPersonaCoinProps> {
    allowPhoneInitials: boolean;
    presence: number;
    size: number;
    coinSize: number;
    coinProps: any;
    showUnknownPersonaCoin: any;
    isOutOfOffice: any;
    presenceTitle: any;
    imageUrl: any;
    imageInitials: any;
    text: any;
    initialsColor: any;
    mergeStyles: typeof mergeStyles;
    getPersonaInitialsColor: typeof getPersonaInitialsColor;
    PersonaSize: typeof PersonaSize;
    ImageFit: typeof ImageFit;
    get initials(): any;
    get dimension(): number;
    get personaPresenceProps(): {
        coinSize: number;
        isOutOfOffice: any;
        presence: number;
        presenceTitle: any;
        size: number;
        theme: any;
    };
    get shouldRenderInitials(): boolean;
    get coinSizeStyle(): {
        width: number;
        height: number;
    } | undefined;
    get classNames(): import("@uifabric/merge-styles").IProcessedStyleSet<IPersonaCoinStyles>;
    render(): JSX.Element;
}
//# sourceMappingURL=PersonaCoin.base.d.ts.map