import BaseComponent from '../BaseComponent';
import { CreateElement, VNode } from 'vue';
import { IPopupProps } from './Popup.types';
export declare class Popup extends BaseComponent<IPopupProps> {
    $refs: {
        current: HTMLDivElement;
    };
    shouldRestoreFocus: boolean;
    onDismiss: (ev: KeyboardEvent) => any;
    private _originalFocusedElement;
    private needsVerticalScrollBar;
    private _containsFocus;
    created(): void;
    mounted(): void;
    updated(): void;
    beforeDestroy(): void;
    render(h: CreateElement, context: any): VNode;
    private _onKeyDown;
    private _updateScrollBarAsync;
    private _getScrollBar;
    private _onFocus;
    private _onBlur;
}
//# sourceMappingURL=Popup.d.ts.map