import { IProgressIndicatorProps, IProgressIndicatorStyles } from './ProgressIndicator.types';
import BaseComponent from '../BaseComponent';
export declare class ProgressIndicatorBase extends BaseComponent<IProgressIndicatorProps, IProgressIndicatorStyles> {
    progressHidden: boolean;
    indeterminate: boolean;
    percentComplete: number;
    label: string;
    description: string;
    barHeight: number;
    get classNames(): import("@uifabric/merge-styles").IProcessedStyleSet<IProgressIndicatorStyles>;
    get progressBarStyles(): {
        width: string | undefined;
        transition: string | undefined;
    };
    render(): JSX.Element;
}
//# sourceMappingURL=ProgressIndicator.base.d.ts.map