import { IRatingProps, IRatingStyles } from './Rating.types';
import BaseComponent from '../BaseComponent';
export declare class RatingBase extends BaseComponent<IRatingProps> {
    size: number;
    min: number;
    max: number;
    rating: number;
    ariaLabelFormat?: string;
    iconName: string;
    unselectedIconName: string;
    disabled?: boolean;
    readonly?: boolean;
    internalValue: number;
    get classNames(): import("@uifabric/merge-styles").IProcessedStyleSet<IRatingStyles>;
    get ratingLevels(): number[];
    get areaLabel(): string;
    getRatingIconName(ratingLevel: number): string;
    getRatingFillPercentage(ratingLevel: number): string | undefined;
    setRating(rating: number): void;
    private onPropValueChanged;
    private onValueChanged;
    render(): JSX.Element;
}
//# sourceMappingURL=Rating.base.d.ts.map