import { ISearchBoxStyles } from './SearchBox.types';
import BaseComponent from '../BaseComponent';
export declare class SearchBoxBase extends BaseComponent {
    $refs: {
        input: HTMLInputElement;
    };
    underlined?: boolean;
    defaultValue?: string;
    placeholder?: string;
    value: string;
    disableAnimation?: boolean;
    disabled?: boolean;
    iconName: string;
    isActive: boolean;
    internalValue: string;
    render(): JSX.Element;
    get classNames(): import("@uifabric/merge-styles").IProcessedStyleSet<ISearchBoxStyles>;
    private onPropValueChanged;
    private onValueChanged;
    private onKeyDown;
    submit(): void;
    onEscape(e: KeyboardEvent): void;
    clearInput(e?: MouseEvent): void;
    private onFocus;
    private onBlur;
}
//# sourceMappingURL=SearchBox.base.d.ts.map