import { IStackTokens, IStackProps } from './Stack.types';
import StatelessComponent from '../StatelessComponent';
import { VNode, CreateElement, RenderContext } from 'vue';
export declare class Stack extends StatelessComponent<IStackProps> {
    verticalFill: string;
    horizontal: boolean;
    reversed: boolean;
    childrenGap: number;
    grow: boolean;
    wrap: boolean;
    horizontalAlign: string;
    verticalAlign: string;
    disableShrink: boolean;
    tokens: IStackTokens;
    render(h: CreateElement, ctx: RenderContext): VNode;
}
//# sourceMappingURL=Stack.d.ts.map