import BaseComponent from '../BaseComponent';
import { IToggleProps, IToggleStyles } from './Toggle.types';
export declare class ToggleBase extends BaseComponent<IToggleProps, IToggleStyles> {
    $refs: {
        toggleButton: HTMLButtonElement;
    };
    checked: boolean;
    label: string;
    defaultChecked: boolean;
    disabled: boolean;
    inlineLabel: boolean;
    onText: string;
    offText: string;
    internalChecked: boolean;
    render(): JSX.Element;
    get classNames(): import("@uifabric/merge-styles").IProcessedStyleSet<IToggleStyles>;
    focus(): void;
    private onCheckedChanged;
    private onClick;
}
//# sourceMappingURL=Toggle.base.d.ts.map